Subject: configure sets GCC=yes for clang

From: Tomas Vondra <[email-masked]>
Date: Fri, 4 Feb 2022 20:16:53 +0100

Hi,

I've been doing some experiments with compilers, and I've noticed that 
when using clang configure still ends up setting

GCC='yes'

which seems somewhat strange. FWIW I've noticed because when building 
with "-Ofast" (yeah, I'm just playing with stuff) it fails like this:

checking whether the C compiler still works... yes
configure: error: do not put -ffast-math in CFLAGS

which is in $GCC=yes check, and clang doesn't even have such option.

Not a huge issue, but I wonder if this might confuse configure in other 
places, or something.

regards

-- 
Tomas Vondra
EnterpriseDB: http://www.enterprisedb.com
The Enterprise PostgreSQL Company